Commit 76c3c05b authored by Simon Pintarelli's avatar Simon Pintarelli

step 2: write log and error file

parent 05694d21
......@@ -2,7 +2,7 @@
type R > /dev/null
if [[ ! $? -eq 0 ]]; then
echo "could not find R"
(>&2 echo "could not find R")
exit 1
fi
......@@ -10,7 +10,11 @@ fi
python3 scripts/xls2csv.py marks.xls marks.csv
# generate tex-file
R --vanilla < knit.R --save 2> R.log || exit 1
R --vanilla < knit.R --save 2> log.out 1> errors.out
if [[ ! $? -eq 0 ]]; then
(>&2 echo "Something wen't wrong during processing of statistics.Rnw. Check the files log.out and errors.out.")
exit 1
fi
python3 scripts/pandas-script.py && echo "Generated edoz-final.txt for upload."
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment